package com.cool.store.mapper.order;

import com.cool.store.entity.order.StoreWishlistOptionDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface StoreWishlistOptionMapper extends Mapper<StoreWishlistOptionDO> {

    int insertBatch(@Param("list") List<StoreWishlistOptionDO> list);

    int softDeleteByWishlistIds(@Param("wishlistIds") List<Long> wishlistIds);

    List<StoreWishlistOptionDO> listByWishlistIds(@Param("wishlistIds") List<Long> wishlistIds);
}
